/////////////////////////////////////////////////////////////////////////////
// Name:        WxPadCommon.h
// Purpose:     Simple version of a notepad replacement
// Author:      
// Modified by: Biswapesh Chattopadhyay
// Created:     2001 05 11
// Licence:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#ifndef WX_PAD_COMMON_H
#define WX_PAD_COMMON_H

#ifdef __WXMSW__
#define USE_XPM_BITMAPS 0
#else
#define USE_XPM_BITMAPS 1
#endif

#if USE_XPM_BITMAPS
#include "mondrian.xpm"
#endif

enum
{
    // File menu
    IDM_FILE_NEW = 1,
    IDM_FILE_OPEN,
    IDM_FILE_SAVE,
    IDM_FILE_SAVE_AS,
    IDM_FILE_QUIT,
    // Edit menu
    IDM_EDIT_COPY,
    IDM_EDIT_PASTE,
    IDM_EDIT_CUT,
    IDM_EDIT_SELECT_ALL,
    IDM_EDIT_UNDO,
    IDM_EDIT_REDO,
    // Help menu
    IDM_HELP_ABOUT,
    // Buttons for dialogs
    IDB_FIND_NEXT,
    IDB_FIND_CANCEL
};
#endif
